# MiddlewareList QML Type

- List of all members, including inherited members

## Properties

- applyTarget : var

## Detailed Description

    import QuickFlux 1.1

MiddlewareList groups a list of Middleware and install to target Dispatcher / ActionCreator

Example Code

    import QtQuick 2.0
    import QuickFlux 1.1
    import "./actions"
    import "./middlewares"

    // main.qml

    Item {
      MiddlewareList {
        applyTarget: AppDispatcher

        Middleware {
          id: debouncerMiddleware
       }

        Middleware {
          id: logger
        }
      }
    }

It is added since QuickFlux 1.1

## Property Documentation

applyTarget : var

This property specific the target object that of middlewares should be applied. It can be either of an ActionCreator or Dispatcher object.